RodoHdz
Mechanical
- Jan 26, 2015
- 12
Hello
I'm kind of new to NX journaling and I ran into some issues trying to create a little SNAP program. Any suggestions will be much appreciated.
I'm trying to get familiar with the SNAP option. I found some examples in the "SNAP_Getting_Started_V10.pdf" document.
I keep getting two errors and after some research I haven't been able to solve the issue. I'm trying to create a User Input Box with a couple of options, based on the selection the main journal will run a specific portion of the code.
Basically I want to create something like this:
These are the errors I'm getting:
'Snap" is not declared. it may be inaccessible due to its protection level.
'GetChoice' is not declared. it may be inaccesible due to its protection level.
I will appreciate any feedback. I will keep researching and post if I find any solutions.
Thanks in advance!
Here's the code I have so far.
I'm kind of new to NX journaling and I ran into some issues trying to create a little SNAP program. Any suggestions will be much appreciated.
I'm trying to get familiar with the SNAP option. I found some examples in the "SNAP_Getting_Started_V10.pdf" document.
I keep getting two errors and after some research I haven't been able to solve the issue. I'm trying to create a User Input Box with a couple of options, based on the selection the main journal will run a specific portion of the code.
Basically I want to create something like this:

These are the errors I'm getting:
'Snap" is not declared. it may be inaccessible due to its protection level.
'GetChoice' is not declared. it may be inaccesible due to its protection level.
I will appreciate any feedback. I will keep researching and post if I find any solutions.
Thanks in advance!
Here's the code I have so far.
Code:
Option Infer On
Imports Snap
Imports Snap.Create
Imports Snap.UI.Input
Imports MiniSnap
Imports MiniSnap.Create
Imports System
Imports NXOpen
Imports NXOpen.UF
Imports NXOpenUI
Public Class MyProgram
Public Shared Sub Main()
Dim cue = "Please choose the correct option"
Dim title = "Choose Component Type"
Dim label = "Type"
Dim componentType As String( ) = {"Detail", "Weldment"}
Dim style = Snap.UI.Block.EnumPresentationStyle.RadioBox
Dim choice = GetChoice(componentType, cue, title, label, style)
End Sub
End Class